## ocamlodbc 2.7

=== Makefile ===
include master.Makefile

OBJOCAML  = ocaml_odbc.cmo 
OBJOCAML_OPT  = ocaml_odbc.cmx

LIBOBJ    = ocamlodbc.cmo
LIBOBJ_OPT    = ocamlodbc.cmx
LIBOBJI   = ocamlodbc.cmi

OBJFILES = ocaml_odbc_c.o

####
# For different target databases
################################
mysql: dummy
	make clean_all
	make BASE=MYSQL all
	mkdir -p $@
	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
	@echo Libs are in $@/

postgres: dummy
	make clean_all
	make BASE=POSTGRES all
	mkdir -p $@
	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
	@echo Libs are in $@/

db2: dummy
	make clean_all
	make BASE=DB2 all
	mkdir -p $@
	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
	@echo Libs are in $@/

openingres: dummy
	make clean_all
	make BASE=OPENINGRES all
	mkdir -p $@
	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
	@echo Libs are in $@/

unixodbc: dummy
	make clean_all
	make BASE=unixODBC all
	mkdir -p $@
	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
	@echo Libs are in $@/

oraclecfo: dummy
	make clean_all
	make BASE=ORACLECFO all
	mkdir -p $@
	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
	@echo Libs are in $@/

# For all databases
###################
all: lib opt
opt: lib_opt

$(LIB_C): $(OBJFILES)
	$(RM) $@
	$(AR) $@ $(OBJFILES)
	$(RANLIB) $@

$(LIB): $(OBJOCAML) $(LIBOBJ)
	$(OCAMLC) -a -linkall -custom -o $@ -cclib -locamlodbc $(LINKFLAGS) $(OBJOCAML) $(LIBOBJ)
$(LIB_OPT): $(OBJOCAML_OPT) $(LIBOBJ_OPT) $(LIB_C)
	$(OCAMLOPT) -a -linkall -o $(LIB_OPT) -cclib -locamlodbc $(LINKFLAGS) $(OBJOCAML_OPT) $(LIBOBJ_OPT) 

#libocaml_odbc.cmo: $(OBJOCAML) $(LIBOBJ) 
#	cp libocaml_odbc.cmo libocaml_odbc.cmo
#libocaml_odbc.cmx: $(OBJOCAML_OPT) $(LIBOBJ_OPT) 
#	cp libocaml_odbc.cmx libocaml_odbc.cmx


lib: $(LIB_C) $(LIB_CMI) $(LIB)
lib_opt: $(LIB_C) $(LIB_CMI) $(LIB_OPT)

clean_all: clean
	$(RM) *.o *.cmi *.cmo *.cma *.cmx *.cmxa *.a

clean:
	$(RM) *~ #*# *-

# documentation :
#################
doc: dummy
	$(MKDIR) doc
	$(OCAMLDOC) $(OCAMLPP) $(COMPFLAGS) -d doc -html \
	-dump doc/ocamlodbc.odoc ocamlodbc.mli ocamlodbc.ml
	@echo Documentation is in doc/index.html

# installation :
################
install: dummy
	if test -d $(INSTALL_BINDIR); then : ; else $(MKDIR) $(INSTALL_BINDIR); fi
	if test -d $(INSTALL_LIBDIR); then : ; else $(MKDIR) $(INSTALL_LIBDIR); fi
	for i in mysql postgres db2 unixodbc openingres oraclecfo ; \
	do (if test -d $$i ; then ($(MKDIR) $(INSTALL_LIBDIR)/$$i ; $(CP) $$i/* $(INSTALL_LIBDIR)/$$i/) fi) ; done

# common rules
.depend depend::
	rm -f .depend
	$(OCAMLDEP) $(INCLUDES) *.ml *.mli > .depend


.SUFFIXES: .c .o

ocaml_odbc_c.o :ocaml_odbc_c.c 
	$(CC) -c $(C_COMPFLAGS) $<

dummy:

include .depend

## ocamlodbc 2.8

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,27 @@
+#################################################################################
+#                OCamlODBC                                                         #
+#                                                                               #
+#    Copyright (C) 2004 Institut National de Recherche en Informatique et       #
+#    en Automatique. All rights reserved.                                       #
+#                                                                               #
+#    This program is free software; you can redistribute it and/or modify       #
+#    it under the terms of the GNU Lesser General Public License as published   #
+#    by the Free Software Foundation; either version 2.1 of the License, or     #
+#    any later version.                                                         #
+#                                                                               #
+#    This program is distributed in the hope that it will be useful,            #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#    GNU Lesser General Public License for more details.                        #
+#                                                                               #
+#    You should have received a copy of the GNU Lesser General Public License   #
+#    along with this program; if not, write to the Free Software                #
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
+#    02111-1307  USA                                                            #
+#                                                                               #
+#    Contact: Maxence.Guesdon@inria.fr                                          #
+#################################################################################
+
 include master.Makefile
 
 OBJOCAML  = ocaml_odbc.cmo 
@@ -13,42 +37,42 @@
 # For different target databases
 ################################
 mysql: dummy
-	make clean_all
+	make clean
 	make BASE=MYSQL all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 postgres: dummy
-	make clean_all
+	make clean
 	make BASE=POSTGRES all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 db2: dummy
-	make clean_all
+	make clean
 	make BASE=DB2 all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 openingres: dummy
-	make clean_all
+	make clean
 	make BASE=OPENINGRES all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 unixodbc: dummy
-	make clean_all
+	make clean
 	make BASE=unixODBC all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 oraclecfo: dummy
-	make clean_all
+	make clean
 	make BASE=ORACLECFO all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
@@ -78,11 +102,12 @@
 lib: $(LIB_C) $(LIB_CMI) $(LIB)
 lib_opt: $(LIB_C) $(LIB_CMI) $(LIB_OPT)
 
-clean_all: clean
+clean:
+	$(RM) *~ #*# *-
 	$(RM) *.o *.cmi *.cmo *.cma *.cmx *.cmxa *.a
 
-clean:
-	$(RM) *~ #*# *-
+distclean: clean
+	$(RM) master.Makefile config.*
 
 # documentation :
 #################
@@ -91,6 +116,22 @@
 	$(OCAMLDOC) $(OCAMLPP) $(COMPFLAGS) -d doc -html \
 	-dump doc/ocamlodbc.odoc ocamlodbc.mli ocamlodbc.ml
 	@echo Documentation is in doc/index.html
+
+# headers :
+###########
+headers: dummy
+	headache -h lgpl_header -c ~/.headache_config *.ml *.mli *.c \
+	configure.in configure master.Makefile.in Makefile
+	headache -h gpl_header -c ~/.headache_config \
+	Biniki/*.ml \
+	Exemples/*.ml 
+
+noheaders: dummy
+	headache -r -c ~/.headache_config *.ml *.mli \
+	configure.in configure master.Makefile.in \
+        Exemples/*.ml \
+	Biniki/*.ml
+
 
 # installation :
 ################

=== Biniki/Makefile ===

include ../master.Makefile

CMOFILES = biniki_messages.cmo\
	biniki_misc.cmo\
	biniki_context.cmo\
	biniki_query_box.cmo\
	biniki_window.cmo\
	biniki.cmo
CMIFILES =  $(CMOFILES:.cmo=.cmi)
CMXFILES =  $(CMOFILES:.cmo=.cmx)

# Overriden flags

COMPFLAGS=-nolabels -I ../$(SUBDIR) $(INCLUDEGTK)
LINKFLAGS=-ccopt -L../$(SUBDIR) -I ../$(SUBDIR) $(LINKGTK) 

####
BINIKI=biniki
BINIKI_OPT=biniki.opt

# targets for each database
mysql:
	make BASE=MYSQL all
postgres:
	make BASE=POSTGRES all
openingres:
	make BASE=OPENINGRES all
db2:
	make BASE=DB2 all
unixodbc:
	make BASE=unixODBC all

oraclecfo:
	make BASE=ORACLECFO all

all: exe opt
exe: $(BINIKI)
opt: $(BINIKI_OPT)


fr:
	$(RM) biniki_messages.ml
	ln -s biniki_messages_fr.ml biniki_messages.ml

en:
	$(RM) biniki_messages.ml
	ln -s biniki_messages_en.ml biniki_messages.ml

$(BINIKI): $(CMOFILES) $(CMIFILES) 
	$(OCAMLC) -custom -o $@ $(LINKFLAGS) $(LIB) unix.cma str.cma $(LIBSGTK) $(CMOFILES)

$(BINIKI_OPT): $(CMXFILES) $(CMIFILES)
	$(OCAMLOPT) -o $@ $(LINKFLAGS) $(LIB_OPT) unix.cmxa str.cmxa $(LIBSGTK_OPT) $(CMXFILES)  

clean_all: clean
	$(RM) $(CMOFILES) $(CMXFILES) $(CMIFILES) *.o
	$(RM) $(BINIKI) $(BINIKI_OPT)

clean:
	$(RM) *~ #*# *-

# common rules
.depend depend::
	rm -f .depend
	$(OCAMLDEP) $(INCLUDES) *.ml *.mli > .depend

include .depend

=== Exemples/Makefile ===

include ../master.Makefile

CMOFILES =  monitor.cmo
CMIFILES =  $(CMOFILES:.cmo=.cmi)
CMXFILES =  $(CMOFILES:.cmo=.cmx)
CMOFILES2 = test.cmo
CMIFILES2 =  $(CMOFILES2:.cmo=.cmi)
CMXFILES2 =  $(CMOFILES2:.cmo=.cmx)

PROG=monitor
PROG_OPT=monitor_opt
PROG2=ptest
PROG2_OPT=ptest_opt
PROG3=ptest_mt
PROG3_OPT=ptest_mt_opt
PROG4=ltest
PROG4_OPT=ltest_opt

####
COMPFLAGS=-I ../$(SUBDIR) -ccopt -L../$(SUBDIR)
LINKFLAGS=-ccopt -L../$(SUBDIR) -I ../$(SUBDIR)

all: $(PROG) $(PROG2) $(PROG3) $(PROG4)
opt: $(PROG_OPT) $(PROG2_OPT) $(PROG3_OPT) $(PROG4_OPT)


$(PROG): $(CMOFILES)
	$(OCAMLC) -custom -o $@ $(LINKFLAGS) $(LIB) $(CMOFILES)  \
	-cclib -ldl -cclib -lunix 

$(PROG_OPT): $(CMXFILES)
	$(OCAMLOPT) -o $@ $(LINKFLAGS) $(LIB_OPT) $(CMXFILES)  \
	-cclib -ldl -cclib -lunix 

$(PROG2): $(CMOFILES2)
	$(OCAMLC) -custom -o $@ $(COMPFLAGS) unix.cma $(LIB) $(CMOFILES2)  \
	-cclib -ldl -cclib -lunix $(LINKFLAGS)

$(PROG2_OPT): $(CMXFILES2)
	$(OCAMLOPT) -o $@ $(COMPFLAGS) unix.cmxa $(LIB_OPT) $(CMXFILES2)  \
	-cclib -ldl -cclib -lunix $(LINKFLAGS)

$(PROG3): test_mt.ml
	$(OCAMLC) $(COMPFLAGS) -thread -custom -o $@ unix.cma threads.cma $(LIB) $< \
	-cclib -ldl -cclib -lunix $(LINKFLAGS)

$(PROG3_OPT): test_mt.ml
	$(OCAMLOPT) $(COMPFLAGS) -thread -o $@ unix.cmxa threads.cmxa $(LIB_OPT) $<  \
	-cclib -ldl -cclib -lunix $(LINKFLAGS)

$(PROG4): large.ml
	$(OCAMLC) -custom -o $@ $(LINKFLAGS) unix.cma $(LIB) \
	-cclib -ldl -cclib -lunix $<

$(PROG4_OPT): large.ml
	$(OCAMLOPT) -o $@ $(LINKFLAGS) unix.cmxa $(LIB_OPT) \
	-cclib -ldl -cclib -lunix $<

clean_all: clean
	$(RM) *.cmo *.cmx *.cmi *.o
	$(RM) $(PROG) $(PROG_OPT) $(PROG2) $(PROG2_OPT) $(PROG3) $(PROG3_OPT) $(PROG4) $(PROG4_OPT)

clean:
	$(RM) *~ #*# *-

# common rules

## ocamlodbc 2.9

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 include master.Makefile
 
-OBJOCAML  = ocaml_odbc.cmo 
+OBJOCAML  = ocaml_odbc.cmo
 OBJOCAML_OPT  = ocaml_odbc.cmx
 
 LIBOBJ    = ocamlodbc.cmo
@@ -91,11 +91,11 @@
 $(LIB): $(OBJOCAML) $(LIBOBJ)
 	$(OCAMLC) -a -linkall -custom -o $@ -cclib -locamlodbc $(LINKFLAGS) $(OBJOCAML) $(LIBOBJ)
 $(LIB_OPT): $(OBJOCAML_OPT) $(LIBOBJ_OPT) $(LIB_C)
-	$(OCAMLOPT) -a -linkall -o $(LIB_OPT) -cclib -locamlodbc $(LINKFLAGS) $(OBJOCAML_OPT) $(LIBOBJ_OPT) 
+	$(OCAMLOPT) -a -linkall -o $(LIB_OPT) -cclib -locamlodbc $(LINKFLAGS) $(OBJOCAML_OPT) $(LIBOBJ_OPT)
 
-#libocaml_odbc.cmo: $(OBJOCAML) $(LIBOBJ) 
+#libocaml_odbc.cmo: $(OBJOCAML) $(LIBOBJ)
 #	cp libocaml_odbc.cmo libocaml_odbc.cmo
-#libocaml_odbc.cmx: $(OBJOCAML_OPT) $(LIBOBJ_OPT) 
+#libocaml_odbc.cmx: $(OBJOCAML_OPT) $(LIBOBJ_OPT)
 #	cp libocaml_odbc.cmx libocaml_odbc.cmx
 
 
@@ -117,6 +117,12 @@
 	-dump doc/ocamlodbc.odoc ocamlodbc.mli ocamlodbc.ml
 	@echo Documentation is in doc/index.html
 
+distribdoc:
+	$(MKDIR) $@
+	$(OCAMLDOC) $(OCAMLPP) $(COMPFLAGS) -d $@ -html \
+	-css-style "../style.css" ocamlodbc.mli ocamlodbc.ml
+	@echo Distrib documentation is in $@/
+
 # headers :
 ###########
 headers: dummy
@@ -124,7 +130,7 @@
 	configure.in configure master.Makefile.in Makefile
 	headache -h gpl_header -c ~/.headache_config \
 	Biniki/*.ml \
-	Exemples/*.ml 
+	Exemples/*.ml
 
 noheaders: dummy
 	headache -r -c ~/.headache_config *.ml *.mli \
@@ -149,11 +155,9 @@
 
 .SUFFIXES: .c .o
 
-ocaml_odbc_c.o :ocaml_odbc_c.c 
+ocaml_odbc_c.o :ocaml_odbc_c.c
 	$(CC) -c $(C_COMPFLAGS) $<
 
 dummy:
 
 include .depend
-
-

## ocamlodbc 2.10

=== Makefile ===
--- 
+++ 
@@ -38,50 +38,50 @@
 ################################
 mysql: dummy
 	make clean
-	make BASE=MYSQL all
+	make BASE=MYSQL LIB_DIR=$@ all
 	mkdir -p $@
-	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
+	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $(DLL) META $@/
 	@echo Libs are in $@/
 
 postgres: dummy
 	make clean
-	make BASE=POSTGRES all
+	make BASE=POSTGRES LIB_DIR=$@ all
 	mkdir -p $@
-	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
+	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $(DLL) META $@/
 	@echo Libs are in $@/
 
 db2: dummy
 	make clean
-	make BASE=DB2 all
+	make BASE=DB2 LIB_DIR=$@ all
 	mkdir -p $@
-	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
+	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $(DLL) META $@/
 	@echo Libs are in $@/
 
 openingres: dummy
 	make clean
-	make BASE=OPENINGRES all
+	make BASE=OPENINGRES LIB_DIR=$@ all
 	mkdir -p $@
-	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
+	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $(DLL) META $@/
 	@echo Libs are in $@/
 
 unixodbc: dummy
 	make clean
-	make BASE=unixODBC all
+	make BASE=unixODBC LIB_DIR=$@ all
 	mkdir -p $@
-	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
+	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $(DLL) META $@/
 	@echo Libs are in $@/
 
 oraclecfo: dummy
 	make clean
-	make BASE=ORACLECFO all
+	make BASE=ORACLECFO LIB_DIR=$@ all
 	mkdir -p $@
-	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
+	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $(DLL) META $@/
 	@echo Libs are in $@/
 
 # For all databases
 ###################
 all: lib opt
-opt: lib_opt
+opt: lib_opt META
 
 $(LIB_C): $(OBJFILES)
 	$(RM) $@
@@ -93,18 +93,28 @@
 $(LIB_OPT): $(OBJOCAML_OPT) $(LIBOBJ_OPT) $(LIB_C)
 	$(OCAMLOPT) -a -linkall -o $(LIB_OPT) -cclib -locamlodbc $(LINKFLAGS) $(OBJOCAML_OPT) $(LIBOBJ_OPT)
 
+META : DESTDIR=$(shell ocamlfind printconf destdir)
+META :
+	@echo 'name="ocamlodbc_$(LIB_DIR)"' > $@
+	@echo 'version="'`grep "let version =" ocamlodbc.ml | cut -d'"' -f 2`'"' >> $@
+	@echo 'requires=""' >> $@
+#	echo 'directory="+ocamlodbc/$(LIB_DIR)"' >> $@
+	@echo 'archive(byte)="$(LIB)"' >> $@
+	@echo 'archive(native)="$(LIB_OPT)"' >> $@
+	@echo 'linkopts="-ccopt -L$(DESTDIR)/ocamlodbc_$(LIB_DIR)"' >> $@
+
 #libocaml_odbc.cmo: $(OBJOCAML) $(LIBOBJ)
 #	cp libocaml_odbc.cmo libocaml_odbc.cmo
 #libocaml_odbc.cmx: $(OBJOCAML_OPT) $(LIBOBJ_OPT)
 #	cp libocaml_odbc.cmx libocaml_odbc.cmx
 
 
-lib: $(LIB_C) $(LIB_CMI) $(LIB)
-lib_opt: $(LIB_C) $(LIB_CMI) $(LIB_OPT)
+lib: $(LIB_CMI) $(LIB)
+lib_opt: $(LIB_CMI) $(LIB_OPT)
 
 clean:
 	$(RM) *~ #*# *-
-	$(RM) *.o *.cmi *.cmo *.cma *.cmx *.cmxa *.a
+	$(RM) *.o *.cmi *.cmo *.cma *.cmx *.cmxa *.a *.so META
 
 distclean: clean
 	$(RM) master.Makefile config.*
@@ -135,17 +145,31 @@
 noheaders: dummy
 	headache -r -c ~/.headache_config *.ml *.mli \
 	configure.in configure master.Makefile.in \
-        Exemples/*.ml \
+	Exemples/*.ml \
 	Biniki/*.ml
 
 
 # installation :
 ################
-install: dummy
+.PHONY : install
+install:
+	@echo "Installation instructions:"
+	@echo '  To install $(RESULT) using findlib type: "make findlib_install"'
+	@echo '  To install $(RESULT) dirctly type : "make direct_install"'
+
+direct_install: dummy
 	if test -d $(INSTALL_BINDIR); then : ; else $(MKDIR) $(INSTALL_BINDIR); fi
 	if test -d $(INSTALL_LIBDIR); then : ; else $(MKDIR) $(INSTALL_LIBDIR); fi
 	for i in mysql postgres db2 unixodbc openingres oraclecfo ; \
 	do (if test -d $$i ; then ($(MKDIR) $(INSTALL_LIBDIR)/$$i ; $(CP) $$i/* $(INSTALL_LIBDIR)/$$i/) fi) ; done
+
+findlib_install: META dummy
+	for i in mysql postgres db2 unixodbc openingres oraclecfo ; do \
+	  if [ -d $$i ]; then \
+	    if (ocamlfind list | grep ocamlodbc_$$i >/dev/null); then ocamlfind remove ocamlodbc_$$i; fi; \
+	    ocamlfind install ocamlodbc_$$i $$i/META `find $$i -not -name META -type f`; \
+	  fi; \
+	done
 
 # common rules
 .depend depend::

## ocamlodbc 2.12

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,26 @@
-#################################################################################
-#                OCamlODBC                                                         #
-#                                                                               #
-#    Copyright (C) 2004 Institut National de Recherche en Informatique et       #
-#    en Automatique. All rights reserved.                                       #
-#                                                                               #
-#    This program is free software; you can redistribute it and/or modify       #
-#    it under the terms of the GNU Lesser General Public License as published   #
-#    by the Free Software Foundation; either version 2.1 of the License, or     #
-#    any later version.                                                         #
-#                                                                               #
-#    This program is distributed in the hope that it will be useful,            #
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
-#    GNU Lesser General Public License for more details.                        #
-#                                                                               #
-#    You should have received a copy of the GNU Lesser General Public License   #
-#    along with this program; if not, write to the Free Software                #
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
-#    02111-1307  USA                                                            #
-#                                                                               #
-#    Contact: Maxence.Guesdon@inria.fr                                          #
-#################################################################################
+###############################################################################
+#              OCamlODBC                                                      #
+#                                                                             #
+#  Copyright (C) 2004 Institut National de Recherche en Informatique et       #
+#  en Automatique. All rights reserved.                                       #
+#                                                                             #
+#  This program is free software; you can redistribute it and/or modify       #
+#  it under the terms of the GNU Lesser General Public License as published   #
+#  by the Free Software Foundation; either version 2.1 of the License, or     #
+#  any later version.                                                         #
+#                                                                             #
+#  This program is distributed in the hope that it will be useful,            #
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#  GNU Lesser General Public License for more details.                        #
+#                                                                             #
+#  You should have received a copy of the GNU Lesser General Public License   #
+#  along with this program; if not, write to the Free Software                #
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
+#  02111-1307  USA                                                            #
+#                                                                             #
+#  Contact: Maxence.Guesdon@inria.fr                                          #
+###############################################################################
 
 include master.Makefile
 
@@ -154,8 +154,8 @@
 .PHONY : install
 install:
 	@echo "Installation instructions:"
-	@echo '  To install $(RESULT) using findlib type: "make findlib_install"'
-	@echo '  To install $(RESULT) dirctly type : "make direct_install"'
+	@echo '  To install using findlib type: "make findlib_install"'
+	@echo '  To install directly type : "make direct_install"'
 
 direct_install: dummy
 	if test -d $(INSTALL_BINDIR); then : ; else $(MKDIR) $(INSTALL_BINDIR); fi
@@ -172,9 +172,9 @@
 	done
 
 # common rules
-.depend depend::
+.depend depend:: $(wildcard *.ml) $(wildcard *.mli)
 	rm -f .depend
-	$(OCAMLDEP) $(INCLUDES) *.ml *.mli > .depend
+	$(OCAMLDEP) $(INCLUDES) $^ > .depend
 
 
 .SUFFIXES: .c .o

## ocamlodbc 2.15

=== Makefile ===
--- 
+++ 
@@ -89,9 +89,11 @@
 	$(RANLIB) $@
 
 $(LIB): $(OBJOCAML) $(LIBOBJ)
-	$(OCAMLC) -a -linkall -custom -o $@ -cclib -locamlodbc $(LINKFLAGS) $(OBJOCAML) $(LIBOBJ)
+	$(OCAMLC) -a -linkall -custom -o $@ -cclib -locamlodbc \
+		$(LINKFLAGS) $(OBJOCAML) $(LIBOBJ)
 $(LIB_OPT): $(OBJOCAML_OPT) $(LIBOBJ_OPT) $(LIB_C)
-	$(OCAMLOPT) -a -linkall -o $(LIB_OPT) -cclib -locamlodbc $(LINKFLAGS) $(OBJOCAML_OPT) $(LIBOBJ_OPT)
+	$(OCAMLOPT) -a -linkall -o $(LIB_OPT) -cclib -locamlodbc \
+		$(LINKFLAGS) $(OBJOCAML_OPT) $(LIBOBJ_OPT)
 
 META : DESTDIR=$(shell ocamlfind printconf destdir)
 META :

=== Biniki/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # Overriden flags
 
 COMPFLAGS=-nolabels -I ../$(SUBDIR) $(INCLUDEGTK)
-LINKFLAGS=-ccopt -L../$(SUBDIR) -I ../$(SUBDIR) $(LINKGTK) 
+LINKFLAGS=-ccopt -L../$(SUBDIR) -I ../$(SUBDIR) $(LINKGTK)
 
 ####
 BINIKI=biniki
@@ -47,11 +47,11 @@
 	$(RM) biniki_messages.ml
 	ln -s biniki_messages_en.ml biniki_messages.ml
 
-$(BINIKI): $(CMOFILES) $(CMIFILES) 
-	$(OCAMLC) -custom -o $@ $(LINKFLAGS) $(LIB) unix.cma str.cma $(LIBSGTK) $(CMOFILES)
+$(BINIKI): $(CMOFILES) $(CMIFILES)
+	$(OCAMLC) -o $@ $(LINKFLAGS) $(LIB) unix.cma str.cma $(LIBSGTK) $(CMOFILES)
 
 $(BINIKI_OPT): $(CMXFILES) $(CMIFILES)
-	$(OCAMLOPT) -o $@ $(LINKFLAGS) $(LIB_OPT) unix.cmxa str.cmxa $(LIBSGTK_OPT) $(CMXFILES)  
+	$(OCAMLOPT) -o $@ $(LINKFLAGS) $(LIB_OPT) unix.cmxa str.cmxa $(LIBSGTK_OPT) $(CMXFILES)
 
 clean_all: clean
 	$(RM) $(CMOFILES) $(CMXFILES) $(CMIFILES) *.o

=== Exemples/Makefile ===
--- 
+++ 
@@ -63,6 +63,9 @@
 
 clean:
 	$(RM) *~ #*# *-
+	$(RM) *.o *.cmi *.cmo *.cma *.cmx *.cmxa *.a
+	$(RM) $(PROG) $(PROG2) $(PROG3) $(PROG4)
+	$(RM) $(PROG_OPT) $(PROG2_OPT) $(PROG3_OPT) $(PROG4_OPT)
 
 # common rules

=== debian/changelog ===
ocamlodbc (2.15-7) unstable; urgency=medium

  * Team upload
  * Do not link library with -custom
  * Remove Samuel from Uploaders
  * Update Vcs-*
  * Switch to dh sequencer
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 14:40:18 +0200

ocamlodbc (2.15-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop spurious build dep on unixodbc-bin
  * Switch to source format 3.0, dpatch is deprecated
  * Remove stale VCS links

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Sep 2019 23:00:34 +0200

ocamlodbc (2.15-6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Mehdi Dogguy ]
  * Team upload
  * Do not pre-process source files (Closes: #796033). There are no lines
    containing the 'DEBUG' string in .ml files.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 21:11:19 +0200

ocamlodbc (2.15-5) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Upgrade Standards-Version to 3.8.3 (section ocaml, README.source, Homepage
    field)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 19 Dec 2009 23:29:03 +0000

ocamlodbc (2.15-4) unstable; urgency=low

  * Rebuild with OCaml 3.11.
  * Use dh-ocaml.
  * Switch packaging to git.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Thu, 05 Mar 2009 10:07:42 +0100

ocamlodbc (2.15-3) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * bump urgency for the OCaml 3.10.1 transition
  * add myself as an Uploader

  [ Stephane Glondu ]
  * Fix FTBFS if build twice in a row (Closes: #442691)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Mar 2008 11:44:11 +0100

ocamlodbc (2.15-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.1

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 01:22:19 +0200

ocamlodbc (2.15-1) unstable; urgency=low

  * New upstream release.
  * Refreshed makefile.dpatch.
  * Don't ignore errors on clean.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 Jul 2007 11:09:46 +0200

ocamlodbc (2.12-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 16:56:05 +0200

ocamlodbc (2.12-1) experimental; urgency=low

  * New upstream release.
  * Not providing the libocamlodbc-ocaml-bin package anymore, biniki was a toy
    example and is now provided as an example in libocamlodbc-ocaml-dev,
    closes: #354946.
  * Removed lablgtk2.dpatch, integrated upstream.
  * We don't need to remove rpaths anymore.
  * Updated package description.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Wed, 28 Feb 2007 18:47:42 +0100

ocamlodbc (2.10-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 22:52:05 +0000

ocamlodbc (2.10-4) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 19:08:45 +0100

ocamlodbc (2.10-3) unstable; urgency=low

  * Updated makefiles.dpatch to build libocamlodbc.a and using back ocamlfind
    to do the installation, closes: #340103.
  * Rebuilding with binNMUed lablgtk2 on sparc, closes: #344614.

 -- Samuel Mimram <smimram@debian.org>  Sun, 25 Dec 2005 16:03:06 +0100

ocamlodbc (2.10-2) unstable; urgency=low

  * Reverting to the former installation method, closes: #340103.

 -- Samuel Mimram <smimram@debian.org>  Mon, 19 Dec 2005 21:40:27 +0100

ocamlodbc (2.10-1) unstable; urgency=low

  * New upstream release.
  * Added lablgtk2.dpatch to use lablgtk2 instead of lablgtk and changed the
    build dependencies accordingly.
  * Updated makefiles.dpatch.
  * No longer hardcoding OCaml's ABI in debian/* files.
  * Bumped standards version to 3.6.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sun, 20 Nov 2005 17:02:57 +0100

ocamlodbc (2.9-1) unstable; urgency=low

  * New upstream release.
  * Removed the lintian override and use chrpath to remove the rpath in
    biniki.
  * Added a watch file.
  * Added Section:devel for source.

 -- Samuel Mimram <smimram@debian.org>  Wed, 13 Apr 2005 12:52:48 +0200

ocamlodbc (2.8-3) unstable; urgency=medium

  * I forgot to fill libocamlodbc-ocaml-bin.override, closes: #302515.

 -- Samuel Mimram <smimram@debian.org>  Fri,  1 Apr 2005 20:51:12 +0200

ocamlodbc (2.8-2) unstable; urgency=medium

  * New maintainer: set Debian OCaml Maintainers as new maintainer and added
    myself to Uploaders.
  * Rebuilding with OCaml 3.08.3.
  * Updated Standards-Version to 3.6.1.1.
  * Using dpatch for managing patches.
  * Many cleanups in the rules (using dh_install and dh_shlibsdeps in
    particular).
  * Added a lintian override for OCaml rpath's problem.

 -- Samuel Mimram <smimram@debian.org>  Mon, 28 Mar 2005 22:04:11 +0200

ocamlodbc (2.8-1) unstable; urgency=low

  * New upstream version.
  * Updated to build with OCaml 3.08.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Jul 2004 09:07:41 -0500

ocamlodbc (2.7-2) unstable; urgency=low

  * Applied patch from Mike Furr <mfurr@debian.org> to fix the build
    process on platforms that lack ocamlopt.  Closes: #239833.
    His patch also fixes a potential -fPIC problem.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 21 Apr 2004 11:45:18 -0500

ocamlodbc (2.7-1) unstable; urgency=low

  * Initial Release.  Closes: #234740.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 25 Feb 2004 09:51:15 -0600

=== debian/control ===
Source: ocamlodbc
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 unixodbc-dev,
 dh-ocaml (>= 0.9.1),
 ocaml-nox (>= 3.11),
 ocaml-findlib (>= 1.2.4),
 liblablgtk2-ocaml-dev (>= 2.12.0)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://download.gna.org/ocamlodbc/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlodbc.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlodbc

Package: libocamlodbc-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${ocaml:Depends}, unixodbc-dev
Provides: ${ocaml:Provides}
Description: UnixODBC database bindings for OCaml
 Bindings of the UnixODBC library for the OCaml language, letting you access
 many different databases from within OCaml.
 .
 This package provides the development and documentation file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

override_dh_auto_build:
	$(MAKE) depend
	$(MAKE) OCAMLPP= unixodbc
	-mkdir html
	ocamldoc -html -d html ocamlodbc.mli

override_dh_auto_clean:
	[ ! -f master.Makefile ] || $(MAKE) distclean
	-rm .depend
	-rm -rf unixodbc html

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) findlib_install prefix=$(CURDIR)/debian/tmp/usr OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore
	mv $(DESTDIR)/ocamlodbc_unixodbc $(DESTDIR)/ocamlodbc
	sed -e 's/ocamlodbc_unixodbc/ocamlodbc/g' $(DESTDIR)/ocamlodbc/META > $(DESTDIR)/ocamlodbc/META

=== debian/watch ===
version=3

http://download.gna.org/ocamlodbc/ocamlodbc[_-]([1-9]*)[_\.]([1-9]*).tar.gz debian uuscan
